Index: tests/regression/Selection/Atoms/AtomByElement/post/empty.xyz
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/post/empty.xyz	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Atoms/AtomByElement/post/empty.xyz	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,2 @@
+0
+	Created by molecuilder for unselect-atom-by-element test
Index: tests/regression/Selection/Atoms/AtomByElement/post/test-Be_present.xyz
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/post/test-Be_present.xyz	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Atoms/AtomByElement/post/test-Be_present.xyz	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for unselect-by-element test
+Be	0	1	1
Index: tests/regression/Selection/Atoms/AtomByElement/post/test-H_present.xyz
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/post/test-H_present.xyz	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Atoms/AtomByElement/post/test-H_present.xyz	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for unselect-by-element test
+H	0	0	0
Index: tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-atoms-by-element.at
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-atoms-by-element.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-atoms-by-element.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
@@ -30,5 +30,5 @@
 
 file=test.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz test.xyz], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 4 --undo -r], 0, [stdout], [stderr])
@@ -41,5 +41,5 @@
 
 file=test-H_missing.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz test-H_missing.xyz], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 1 --undo --redo -r], 0, [stdout], [stderr])
@@ -47,5 +47,5 @@
 
 file=test-Be_missing.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz test-Be_missing.xyz], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 4 --undo --redo -r], 0, [stdout], [stderr])
@@ -53,2 +53,56 @@
 
 AT_CLEANUP
+
+
+# select element by atomic number: 1, 4
+AT_SETUP([Unselection - All atoms with specific element by atomic number])
+AT_KEYWORDS([selection,atom,element,atomic number])
+
+file=test-H_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-H_present.xyz], 0, [ignore], [ignore])
+
+file=test-Be_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-Be_present.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms with specific element by symbol with Undo])
+AT_KEYWORDS([element,symbol])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/empty.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/empty.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Unselection - All atoms with specific element by symbol with Redo])
+AT_KEYWORDS([element,symbol])
+
+file=test-H_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-H_present.xyz], 0, [ignore], [ignore])
+
+file=test-Be_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-Be_present.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
